Recommended update for openssh

SUSE Recommended Update: Recommended update for openssh
Announcement ID: SUSE-RU-2019:2044-1
Rating: moderate
References: #1136402
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Desktop Applications 15-SP1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1

An update that has one recommended fix can now be installed.

Description:

This update for openssh fixes the following issues:

  • Added a patch, which reverts an upstream commit that caused compatibility issues with other software. (bsc#1136402)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP1-2019-2044=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2044=1
  • SUSE Linux Enterprise Module for Desktop Applications 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP1-2019-2044=1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2019-2044=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    • openssh-debuginfo-7.9p1-6.6.4
    • openssh-debugsource-7.9p1-6.6.4
    • openssh-fips-7.9p1-6.6.4
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • openssh-cavs-7.9p1-6.6.4
    • openssh-cavs-debuginfo-7.9p1-6.6.4
    • openssh-debuginfo-7.9p1-6.6.4
    • openssh-debugsource-7.9p1-6.6.4
  • SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    • openssh-askpass-gnome-7.9p1-6.6.6
    • openssh-askpass-gnome-debuginfo-7.9p1-6.6.6
    • openssh-askpass-gnome-debugsource-7.9p1-6.6.6
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    • openssh-7.9p1-6.6.4
    • openssh-debuginfo-7.9p1-6.6.4
    • openssh-debugsource-7.9p1-6.6.4
    • openssh-helpers-7.9p1-6.6.4
    • openssh-helpers-debuginfo-7.9p1-6.6.4

References: